> For the complete documentation index, see [llms.txt](https://docs.cyberscope.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cyberscope.io/api/search-audit-by-address.md).

# Search Audit By Address

<mark style="color:green;">`GET`</mark> [https://www.cyberscope.io/api/audits/search-by-address](https://www.cyberscope.io/api/audits/searchByAddress)

This API endpoint searches if Cyberscope has created an audit assessment for the specific address.

The query params must contain the contract's address (`address`), and optionally either the network identifier (`network`) or the chain id (`chainId`) that the address is deployed.

Example:

[https://www.cyberscope.io/api/audits/search-by-address?address=0xd41c4805a9a3128f9f7a7074da25965371ba50d5\
\
https://www.cyberscope.io/api/audits/search-by-address?address=0xd41c4805a9a3128f9f7a7074da25965371ba50d5\&chainId=56\
\
https://www.cyberscope.io/api/audits/search-by-address?address=0xd41c4805a9a3128f9f7a7074da25965371ba50d5\&network=BSC](<https://www.cyberscope.io/api/audits/searchByAddress?address=0xd41c4805a9a3128f9f7a7074da25965371ba50d5&#xA;https://www.cyberscope.io/api/audits/searchByAddress?address=0xd41c4805a9a3128f9f7a7074da25965371ba50d5\&chainId=56&#xA;https://www.cyberscope.io/api/audits/searchByAddress?address=0xd41c4805a9a3128f9f7a7074da25965371ba50d5\&network=BSC>)

**Rate Limit**

The endpoint has a rate limit of 5 calls/minute, you may get a key for unrestricted access by contacting us at [@raf\_cyberscope](https://t.me/@raf_cyberscope).

**Headers**

| Name      | Value                                                                                                            |
| --------- | ---------------------------------------------------------------------------------------------------------------- |
| x-api-key | Include the API key in the header of your API requests to authenticate and authorize access without rate limits. |

**Query**

| Name    | Type   | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| ------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| address | string | An EVM compatible address. e.g. 0xd41c4805a9a3128f9f7a7074da25965371ba50d5                                                                                                                                                                                                                                                                                                                                                                                                            |
| chainId | number | <p>The id of the chain that the address is deployed. Either network or chainId should be used.</p><p>1 (ETH), 56 (BSC), 137 (MATIC), 43114 (AVAX), 42161 (ARBITRUM), 81457 (BLAST), 2000 (DOGE), 25 (CRO), 8453 (BASE), 1666600000 (ONE), 250 (FTM), 321 (KCC), 8217 (KLAY), 40 (TELOS), 1285 (MOVR), 1284 (GLMR), 42220 (CELO), 106 (VLX), 61 (ETC), 10 (OPTIMISM), 100 (XDAI), 15551 (LOOP), 324 (ZKSYNC), 42262 (ROSE), 5 (GOERLI), 97 (BSC\_TESTNET), 80001 (POLYGON\_MUMBAI)</p> |
| network | string | <p>The network identifier that the address is deployed. Either network or chainId should be used. Default: BSC</p><p><br>ETH, BSC, MATIC, AVAX, ARBITRUM, BLAST, DOGE, CRO, BASE, ONE, FTM, KCC, KLAY, TELOS, MOVR, GLMR, CELO, VLX, ETC, OPTIMISM, XDAI, LOOP, ZKSYNC, ROSE, GOERLI, BSC\_TESTNET, POLYGON\_MUMBAI</p>                                                                                                                                                               |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "slug": "apeswap",
  "name": "Apeswap",
  "createdAt": "2024-01-13T09:22:28.813Z",
  "reportFile": "https://github.com/cyberscope-io/audits/blob/main/apeswap/audit.pdf",
  "reportUrl": "https://www.cyberscope.io/audits/apeswap",
  "finishedAt": "2024-01-15T19:38:00.041Z",
  "address": "0x92df60c51c710a1b1c20e42d85e221f3a1bfc7f2",
  "network": "ETH"
}
```

{% endtab %}

{% tab title="403" %}

```json
{
    "message": "Invalid API_KEY"
}
```

{% endtab %}

{% tab title="404" %}

```javascript
{ 
    message: "Address not found" 
}
```

{% endtab %}

{% tab title="422" %}

```json
{
  "message": "Address is required" | "Invalid network" | "Invalid chainId" | "invalid address"
}
```

{% endtab %}

{% tab title="429" %}

```json
{
    "message": "Too Many Requests"
}
```

{% endtab %}

{% tab title="500" %}
Internal server error
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cyberscope.io/api/search-audit-by-address.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
